Vai alla navigazione

Aggiorna variabile d'ambiente

Sostituisce i valori di una variabile d’ambiente. Usa null per rimuoverne il valore per un ambiente (tranne production); elimina un ambiente con DELETE /v1/convai/environments/{environment}.

Parametri di percorso

env_var_idstringObbligatorio

Header

xi-api-keystringOpzionale

Richiesta

This endpoint expects an object.
valuesmap from strings to nullable strings or objectsObbligatorio

Valori da sostituire. Imposta null per rimuovere il valore per un ambiente (tranne ‘production’).

Risposta

Risposta riuscita
labelstring
created_at_unix_secsinteger
updated_at_unix_secsinteger
typeenum
Valori consentiti:
idstring
workspace_idstring
valuesmap from strings to strings or map from strings to objects
created_by_user_idstring or nullOpzionale

Errori

400
Bad Request Error
404
Not Found Error
422
Unprocessable Entity Error